View Issue Details

IDProjectCategoryView StatusLast Update
0000243Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:19
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version3.0 
Target Version3.0Fixed in Version3.0 
Summary0000243: Add support for PHP array notation configurations
DescriptionAs of now, the APF does not support PHP arrays in plain PHP files as configuration files. With this issue, the APF should be enhanced to use the following file as configuration option.
Additional InformationExample:

return [
   'section 1' => [
      'key 1' => 'value 1',
      'key 2' => 'value 2',
      'section 2' => [
            'key 3' => 'value 3'
      ]
];

Resulting structure:

$value1 = $config->getSection('section 1')->getValue('key 1');
$value3 = $config->getSection('section 1')->getSection('section 2')->getValue('key 3');
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

ChristianAchatz

2015-03-07 16:08

administrator   ~0000550

Implementation done. For details see https://github.com/AdventurePHP/code/commit/aeaa817097ebfec8072cccd4d17ba8ce0758ddb3.

Documentation to be written.

Issue History

Date Modified Username Field Change
2015-01-24 20:10 ChristianAchatz New Issue
2015-03-07 13:40 ChristianAchatz Target Version => 3.0
2015-03-07 16:08 ChristianAchatz Note Added: 0000550
2015-03-11 19:26 ChristianAchatz Assigned To => ChristianAchatz
2015-03-11 19:26 ChristianAchatz Status new => assigned
2015-03-11 19:35 ChristianAchatz Status assigned => resolved
2015-03-11 19:35 ChristianAchatz Fixed in Version => 3.0
2015-03-11 19:35 ChristianAchatz Resolution open => fixed
2015-10-12 12:19 ChristianAchatz Status resolved => closed